PCI_PREPARE_TO_SLEEP(9)

NAME
pci_prepare_to_sleep - prepare PCI device for system-wide transition into a sleep state

SYNOPSIS

int pci_prepare_to_sleep(struct pci_dev * dev);

ARGUMENTS

dev
    Device to handle.

DESCRIPTION

Choose the power state appropriate for the device depending on whether it can wake up the system and/or is power manageable by the platform (PCI_D3hot is the default) and put the device into that state.

COPYRIGHT